%define versionMajor 9.4
Summary: Cross sections Data for geant4.
Name: geant4data
Version: %{versionMajor}
Release: 1%{dist}
URL: http://cern.ch/geant4/
#Source0: geant4data.sh
Source1: G4NDL.3.14.tar.gz
Source2: G4NDL.0.2.tar.gz
Source3: G4NEUTRONXS.1.0.tar.gz
Source4: G4EMLOW.6.19.tar.gz
Source5: G4PhotonEvaporation.2.1.tar.gz
Source6: G4RadioactiveDecay.3.3.tar.gz
Source7: G4ABLA.3.0.tar.gz
Source8: RealSurface.1.0.tar.gz
Source9: G4PII.1.2.tar.gz
NoSource: 1
NoSource: 2
NoSource: 3
NoSource: 4
NoSource: 5
NoSource: 6
NoSource: 7
NoSource: 8
NoSource: 9
#Source99: G4ELASTIC.1.1.tar.gz
License: see http://cern.ch/geant4/license
Group: Applications/Science
BuildRoot: %{_tmppath}/%{name}-root
Buildarch: noarch
#Suggests: geant4 >= %{version}

%define geant4data %{_datadir}/geant4/data

%description
Geant4 data files required for specific, optional physics processes:
- G4NDL              V3.14: Neutron data files with thermal cross sections
- G4NDL              V0.2 : Neutron data files without thermal cross sections
- G4NEUTRONXS        V1.0 : Evaluated neutron cross section data on natural
                            composition of elements
- G4EMLOW            V6.19: Data files for low energy electromagnetic processes
- PhotonEvaporation  V2.1 : Data files for photon evaporation
- G4RadioactiveDecay V3.3 : Data files for radioactive decay hadronic processes
- G4ABLA             V3.0 : Data files for nuclear shell effects in INCL/ABLA
                            hadronic model
- RealSurface        V1.0 : Data files for measured optical surface reflectance
- G4PII              V1.2 : Data files for shell ionisation cross sections

%prep
D=%{name}-%{version}
rm -rf $D
mkdir -p $D
cd $D
cat >%{name}.sh <<EOF
export G4NEUTRONHPDATA=%{geant4data}/G4NDL3.14
#export G4NEUTRONHPDATA=%{geant4data}/G4NDL0.2
export G4NEUTRONXSDATA=%{geant4data}/G4NEUTRONXS1.0
export G4LEDATA=%{geant4data}/G4EMLOW6.19
export G4LEVELGAMMADATA=%{geant4data}/PhotonEvaporation2.1
export G4RADIOACTIVEDATA=%{geant4data}/RadiativeDecay3.3
export G4ABLADATA=%{geant4data}/G4ABLA3.0
export G4REALSURFACEDATA=%{geant4data}/RealSurface1.0
export G4PIIDATA=%{geant4data}/G4PII1.2
EOF

sed 's/export \(\w*\)=\(.*\)/setenv \1 \2/' %{name}.sh > %{name}.csh

chmod +x %{name}.sh
chmod +x %{name}.csh

%install
cd %{name}-%{version}
#. %{name}.sh
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/profile.d/
cp %{name}.sh $RPM_BUILD_ROOT/etc/profile.d/
mkdir -p $RPM_BUILD_ROOT/%{geant4data}
cd $RPM_BUILD_ROOT/%{geant4data}
tar zxf %SOURCE1
tar zxf %SOURCE2
tar zxf %SOURCE3
tar zxf %SOURCE4
tar zxf %SOURCE5
tar zxf %SOURCE6
tar zxf %SOURCE7
tar zxf %SOURCE8
tar zxf %SOURCE9
ls -la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sysconfdir}/*
%{geant4data}/*

%changelog
* Fri Feb 4 2011 Olivier Lahaye <olivier.lahaye@cea.fr> - 9.4-1
- Updated G4NDL to V3.14
- Updated G4EMLOW to V6.19
- Updated G4PhotonEvaporation to V2.1
- Updated G4RadioactiveDecay to V3.3
- Added G4PII V1.2

* Wed Sep 8 2010 Olivier Lahaye <olivier.lahaye@cea.fr> - 9.4.b01-1
- Updated G4EMLOW to G4EMLOW6.13
- Added G4NEUTRONXS1.0
- Obsoleted G4ELASTIC1.1

* Wed Mar 31 2010 Olivier Lahaye <olivier.lahaye@cea.fr> - 9.3-1
- Updated G4EMLOW to G4EMLOW6.9
- Added RealSurface1.0

* Tue Aug 4 2009 Olivier Lahaye <olivier.lahaye@cea.fr> - 9.2-1
- Added ELASTICDATA1.1

* Fri Jul 3 2009 Olivier Lahaye <olivier.lahaye@cea.fr> - 9.2-0
- Upstream 9.2.p01
- moved from /opt to /usr

* Thu Nov 15 2007 Sergio Ballestrero <sergio.ballestrero@cern.ch> - 9.0-0.SL4.WITS
- Initial build for Geant4.9

